/*******************************************************************************
| IDENTIFICATION :
| --------------
|    Name    : ISPPS9DMUsrMethod
|    Type    : C++ class specification
|    Product : Generic
|===============================================================================
| FUNCTION :
| --------
|    ExecuteCommand user exit implementation for BPC PSS.
|===============================================================================
| HISTORY :
| -------
|    Modification  : 1
|    Author        : L. Largeau (D.D.S.)
|    Date          : 16/11/06
|    Object        : Header creation
|    Version       : 1.0
\******************************************************************************/

#ifndef ISPPS9DMUsrMethod_h
#define ISPPS9DMUsrMethod_h

class ISPPS9DMUsrMethod
{
  public:
    /**
     * Execute code related to the one defined in V5 API CATBatchServices::ExecuteOnServer.
     * <p>
     * To be used when Catia V5 UserExit needs to access VPM functionnality.
     * The Catia V5 command has to be defined in CATBatchServices::ExecuteOnServer
     * The command is then sent to VPM where "ExecuteCommand" is called and the 
     * result sent back to CATIA V5.
     * <p>
     * @param ioLng
     *    User defined int
     * 
     * @param ioMsg
     *    User defined char*
     *
     * @return
     *    not used
     */
    static void ExecuteCommand(int &ioLng, char *& ioMsg); 

};
#endif
